# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/SHA.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/Flatten.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.1
%define module_name cexio
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt1
Summary: perl module interface to cex.io/ghash.io's API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CR/CRYPTOGRA/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Implements the cex.io API described at https://cex.io/api as a perl module

=item my $cexio_object = new cexio( \%%options );

The only time you need to pass options to new() is when you are using a private function.

The only options you need to pass are 'username', 'key', and 'secret'.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/c*

%changelog
* Mon Jun 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- initial import by package builder

